# DataGridViewEditMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how a user starts cell editing in the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DataGridViewEditMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DataGridViewEditMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                     | Description                                                                                                                                                                            |
| ------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **EditOnEnter**          | Editing begins when the cell receives focus. This mode is useful when pressing the TAB key to enter values across a row, or when pressing the ENTER key to enter values down a column. |
| **EditOnF2**             | Editing begins when F2 is pressed while the cell has focus. This mode places the selection point at the end of the cell contents.                                                      |
| **EditOnKeystroke**      | Editing begins when any alphanumeric key is pressed while the cell has focus.                                                                                                          |
| **EditOnKeystrokeOrF2**  | Editing begins when any alphanumeric key or F2 is pressed while the cell has focus.                                                                                                    |
| **EditProgrammatically** | Editing begins only when the [BeginEdit](/api/wisej.web/lists-and-grids/datagridview.md#beginedit-selectall) method is called.                                                         |

## Used By

| Name                                                                             | Description                                                     |
| -------------------------------------------------------------------------------- | --------------------------------------------------------------- |
| [DataGridView.EditMode](/api/wisej.web/lists-and-grids/datagridview.md#editmode) | Returns or sets a value indicating how to begin editing a cell. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridvieweditmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
